<?php

if ( ! @include_once( './mainfile.php' ) ) { exit( '!! INCLUDE ERROR. ACCESS DENIED !!' ); }
error_reporting( _E_VALUE );


/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | myPHPNuke Version 188_8 RC2                                          |
// +----------------------------------------------------------------------+
// | License: GNU/GPL - http://www.gnu.org/copyleft/gpl.html              |
// +----------------------------------------------------------------------+
// | Support: http://myphpnuke.com/                                       |
// +----------------------------------------------------------------------+
// | Author: myPHPNuke Dev Team                                           |
// +----------------------------------------------------------------------+
// | Copyright: © 2001-2004 myPHPNuke Dev Team                            |
// +----------------------------------------------------------------------+
// $Id: footer.php,v 1.9.2.3 2004/07/07 17:49:41 kirilt Exp $


$footer = 1;

if ( ! defined( '_T_THEME_URI' ) )
{
    global $mpn_display_chatboxII;

    if ( $mpn_display_chatboxII == 1 )
    {
        require_once 'chatboxII.php';

        echo "<div class='cChat'>\n";

            makeChatBoxII();

        echo "</div>\n";
    }
}   // End 188_8 Default Theme Adjustment

foot();
visitcounter();
ob_end_flush();

// FUNCTIONS

function foot()
{
    global $index, $mpnTables,$phpEx;
    global $show_hitcounter, $hitcounter_style;

    if (!isset($index)) {
        include("config.$phpEx");
        global $user, $cookie,$mpn_display_quote,$mpn_display_fetching_request;
    } else {
        global $storynum, $user, $cookie, $Default_Theme, $foot1, $foot2, $foot3, $foot4,$mpn_display_quote,$mpn_display_fetching_request;
    }

    // LOAD THE THEMES footer.php

    require _T_THEME_PATH . '/footer.php';

    echo "<br><br>\n";

    if ( defined( '_T_PAGE_LAYOUT' ) && _T_PAGE_LAYOUT == 4 )
    {
        echo '<div class="center">' . "\n";
            echo getThemeOptions( TRUE );
        echo '</div>' . "\n";
    }

    echo "<center><font size=1>\n";
    ss_timing_stop();
    $help = sprintf(translate("Page took %s seconds to load."),ss_timing_current());
    echo "$help";
    echo "</font></center>\n";
    echo "<br>\n";

    echo "</body>\n";
    echo "</html>";

}

function footmsg()
{
    global $foot1, $foot2, $foot3, $foot4;

     // Kiril: New Sanitizer

    $sanity_ary = compact( 'foot1', 'foot2', 'foot3', 'foot4' );
    $_SERVER['SAN'] -> slashIT( $sanity_ary );
    $_SERVER['SAN'] -> adjustFormat( $sanity_ary, 3, 10 );
    extract( $sanity_ary );
    unset( $sanity_ary );

    // End New Saintizer

    echo "<center><font size=1>\n";
    echo $foot1 . "<br>\n";
    echo $foot2 . "<br>\n";
    echo $foot3 . "<br>\n";
    echo $foot4 . "<br>\n";
    echo "</font></center>\n";
}


?>
